{% extends 'base.html' %}

{% block title %} Update Event {% endblock title %}

{% block content %}
    {% if user.is_anonymous == False %}
    <div class="container">
        <div class="row">
            <div class="col-6 offset-3">
                <h1 class="text-center mt-3">Update event</h1>

                {% if error == True %}
                    <p class="text-center text-danger">event not Found</p>
                {% endif %}
                <form action="{% url 'todolist:update_event' event_id %}" method="POST">
                    {% csrf_token %}

                    <div class="mb-3">
                        <label for="event_name">Event Name: </label>
                        <input class="form-control" id="event_name" type="text" name="event_name" value="{{ event_name }}" maxlength="50" required>
                    </div>

                    <div class="mb-3">
                        <label for="description">Description: </label>
                        <textarea class="form-control" name="description" required>{{ description }}</textarea>
                    </div>

                    <div class="mb-3">
                        <label for="status">Status: </label>
                        <input class="form-control" id="status" type="text" name="status" value="{{ status }}" maxlength="50" required>
                    </div>

                    <div class="text-center">
                        <input class="btn btn-success" type="submit" value="Update Event">
                    </div>
                </form>
            </div>
        </div>
    </div>
    {% endif %}


{% endblock content %}